/*
 * File:   globals.h
 * Author: Filip Niksic, fniksic@gmail.com
 *
 * Created on January 23, 2008, 10:50 PM
 */

#ifndef GLOBALS_H
#define	GLOBALS_H

#include <limits>

// Implicitna pretpostavka je da je Real_T neki od ugradjenih floating point
// tipova. Specijalno, template klasa numeric_limits bi trebala biti
// specijalizirana za Real_T i trebala bi imati funkciju infinity().
typedef double Real_T;

const Real_T Inf = std::numeric_limits<Real_T>::infinity();

#endif	/* GLOBALS_H */

